Subject: Re: bug#71969: [PATCH] Support interactive D-Bus authentication

From: Michael Albinus <[email-masked]>
Date: Mon, 08 Jul 2024 14:50:49 +0200

Michael Albinus <[email-masked]> writes:

Hi Steven,

>>     (dbus-call-method
>>      :system
>>      "org.freedesktop.systemd1" "/org/freedesktop/systemd1"
>>      "org.freedesktop.systemd1.Manager" "RestartUnit"
>>      :authorize t
>>      "bluetooth.service" "replace")
>>
>> Assuming you have a polkit agent running (most DEs will run one by
>> default, but agents like mate-polkit work pretty well standalone),
>> you'll be prompted to authorize the operation and the bluetooth service
>> will be restarted.
>
> Nice. I get an authentication prompt.
>
> However, on my Fedora 40 / Gnome 46 / systemd 255 system, it doesn't
> matter, whether I use ':authorize t', ':authorize nil', or none of
> them. Is interactive authorization enabled by default, and we don't need
> to care about?

Perhaps this is due to the example. I'm asked for "Authentication
Required". This is not interactive authorization.

Do you have another example?

Best regards, Michael.